# 构建步骤
- 运行Dockerfile文件构建镜像 docker build  -t fu-hsi-nginx:1.0.0 .

# 启动说明
- docker run -itd --name fu-hsi-nginx -p 9978:80 -v /data/fu-hsi/html/:/usr/share/nginx/html/ \
        -e FU_HSI_SERVERS=192.168.10.138:9201  fu-hsi-nginx:1.0.0
    - itd : -itd : 无交互模式启动
    - -p 9978:80 : 端口映射 **必填**
    - FU_HSI_SERVERS : 后端服务器地址，只允许有单个。 **必填**
    - fu-hsi-nginx:1.0.0 构建的镜像名称

# 注意事项
- 如果需要对后端服务进行负载均衡把 /data/fu-hsi/nginx/conf/ 目录挂载出来，然后创建配置文件servers.conf\
   编辑配置文件：
    ```shell
         
    upstream fu_hsi_servers {
        server $FU_HSI_SERVERS;
    }
    ```
