package com.supervision.neo4j.domain;

import lombok.Data;

@Data
public class Rel {

    private Long id;

    private String source;
    private Long sourceId;

    private String name;

    private String target;
    private Long targetId;
    // 是否是抽象,0抽象 1真实
    private String picType = "1";

    public Rel() {
    }

    public Rel(Long sourceId, String name, Long targetId) {
        this.sourceId = sourceId;
        this.name = name;
        this.targetId = targetId;
    }

    public Rel(Long sourceId, String name, Long targetId,String picType) {
        this.sourceId = sourceId;
        this.name = name;
        this.targetId = targetId;
        this.picType = picType;
    }

    public Rel(Long id, String source, Long sourceId, String name, String target, Long targetId) {
        this.id = id;
        this.source = source;
        this.sourceId = sourceId;
        this.name = name;
        this.target = target;
        this.targetId = targetId;
    }

}
