package com.supervision.police.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import lombok.Data;

/**
 * 三元组提示词和分类关系表
 * @TableName note_prompt_type_rel
 */
@TableName(value ="note_prompt_type_rel")
@Data
public class NotePromptTypeRel implements Serializable {
    /**
     * 主键
     */
    @TableId
    private String id;

    /**
     * 提示表note_prompt表ID
     */
    private String promptId;

    /**
     * 类型表ID(model_record_type)
     */
    private String typeId;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}