package com.supervision.police.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import java.time.LocalDateTime;

@Data
public class ModelIndexReqVO {

    @Schema(description = "指标名称")
    private String name;

    @Schema(description = "指标简称")
    private String shortName;

    @Schema(description = "原子指标名称")
    private String atomicIndexName;

    @Schema(description = "指标类型")
    private String indexType;

    @Schema(description = "案件类型")
    private String caseType;

    @Schema(description = "备注")
    private String remark;


    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateStartTime;


    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone = "GMT+8")
    private LocalDateTime updateEndTime;


}
