package com.supervision.chat.client.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class DeleteFileDTO {

    private String knowledge_base_name;

    private List<String> file_names;

    private Boolean delete_content = true;

    private Boolean not_refresh_vs_cache = false;

    public static DeleteFileDTO create(String knowledge_base_name, String file_name) {
        DeleteFileDTO deleteFileDTO = new DeleteFileDTO();
        deleteFileDTO.setKnowledge_base_name(knowledge_base_name);
        List<String> file_names = new ArrayList<>();
        file_names.add(file_name);
        deleteFileDTO.setFile_names(file_names);
        return deleteFileDTO;
    }


}
