package com.supervision.minio.service;

import com.supervision.common.domain.R;
import com.supervision.minio.domain.MinioFile;
import org.springframework.web.multipart.MultipartFile;

import jakarta.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.io.InputStream;
import java.util.List;

public interface MinioService {

    String uploadFile(MultipartFile file) throws IOException;

    void downloadFile(String fileId, HttpServletResponse response);

    R<?> delFile(String fileId);

    InputStream getObjectInputStream(String fileId);


    InputStream getObjectInputStream(MinioFile minioFile);

    MinioFile getMinioFile(String fileId);


    List<MinioFile> listMinioFile(List<String> fileIdList);

}
