package com.supervision.police.dto;

import com.supervision.police.domain.ModelAtomicIndex;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

@Data
public class AnalyseCaseDTO {

    /**
     * 案例案件ID
     */
    private String caseId;

    /**
     * 行为人
     */
    private String lawActorName;

    /**
     * 受害人
     */
    private String lawParty;


    @Schema(description = "证据名称")
    private String evidenceName;

    /**
     * 原子指标列表
     */
    List<ModelAtomicIndex> atomicIndexList;

}
