package com.supervision.police.dto;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

@Data
public class NoteRecordDTO {

    @Schema(description = "笔录ID")
    private String id;

    @Schema(description = "案件ID")
    private String caseId;

    @Schema(description = "笔录名称")
    private String recordName;


    @Schema(description = "文件ID")
    private String fileIds;


    @Schema(description = "案件人员ID")
    private String casePersonId;

    @Schema(description = "案件人员身份证号")
    private String casePersonIdCard;


    @Schema(description = "姓名")
    private String name;


    @Schema(description = "角色")
    private String role;


    @Schema(description = "供述材料数量")
    private Integer confessionMaterial;


    @Schema(description = "询问人")
    private String lawAsker;


    @Schema(description = "供述开始时间")
    private String confessionStartTime;

    /**
     * 供述结束时间
     */
    @Schema(description = "供述结束时间")
    private String confessionEndTime;

    @Schema(description = "排序序号")
    private Integer indexNum;

    @Schema(description = "创建时间")
    private LocalDateTime createTime;


}
