package com.supervision.police.mapper;

import com.supervision.police.domain.ModelIndexAtomicRelation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.police.dto.ModelIndexAtomicRelationDTO;

import java.util.List;

/**
* @author Administrator
* @description 针对表【model_index_atomic_relation(指标与原子指标的关联关系)】的数据库操作Mapper
* @createDate 2024-08-07 10:52:56
* @Entity com.supervision.police.domain.ModelIndexAtomicRelation
*/
public interface ModelIndexAtomicRelationMapper extends BaseMapper<ModelIndexAtomicRelation> {

    List<ModelIndexAtomicRelationDTO> listByAtomicIndexName(String atomicIndexName);
}




