package com.supervision.police.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.police.domain.NoteRecord;
import com.supervision.police.dto.NoteRecordDTO;

import java.util.List;

/**
 * 完整笔录表(NoteRecord)表数据库访问层
 *
 * @author qmy
 * @since 2024-07-05 08:53:20
 */
public interface NoteRecordMapper extends BaseMapper<NoteRecord> {

    List<NoteRecordDTO> selectNoteRecordDTOList(NoteRecord noteRecord);
}

