package com.supervision.police.mapper;

import com.supervision.police.domain.SystemUserRoleRelation;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.supervision.police.dto.user.RoleMenuDTO;
import com.supervision.police.dto.user.UserRoleDTO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @author Administrator
* @description 针对表【system_user_role_relation(用户角色关联表)】的数据库操作Mapper
* @createDate 2024-07-31 11:02:43
* @Entity com.supervision.police.domain.SystemUserRoleRelation
*/
public interface SystemUserRoleRelationMapper extends BaseMapper<SystemUserRoleRelation> {

    List<UserRoleDTO> listUserRole(@Param("userId") String userId, @Param("roleId") String roleId,
                                   @Param("roleName") String roleName);

    List<RoleMenuDTO> listUserRoleMenu(String userId);

    List<UserRoleDTO> listUserRoleByUserIdList(List<String> userIdList);
}




