package com.supervision.police.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.supervision.police.domain.SystemRole;
import com.baomidou.mybatisplus.extension.service.IService;
import com.supervision.police.dto.RoleDTO;

/**
* @author Administrator
* @description 针对表【system_role(角色表)】的数据库操作Service
* @createDate 2024-07-31 11:02:43
*/
public interface SystemRoleService extends IService<SystemRole> {

    String saveRole(RoleDTO roleDTO);

    void updateRole(RoleDTO roleDTO);

    Boolean deleteRole(String id);

    IPage<RoleDTO> list(String roleName, Integer pageNum, Integer pageSize);
}
